posix_setegid
posix_setgid
POSIX Functions
PHP Manual

# posix_seteuid

Set the effective UID of the current process

### Description

bool posix_seteuid ( int `$uid` )

Set the real user ID of the current process. This is a privileged function and needs appropriate privileges (usually root) on the system to be able to perform this function.

### Parameters

`uid`

  The user id.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- posix_setgid